Get Max Order Size
curl --request GET \
--url https://api.ondoperps.xyz/v1/perps/max_order_size \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ondoperps.xyz/v1/perps/max_order_size"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ondoperps.xyz/v1/perps/max_order_size', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"percent100": {
"maxBidBaseSize": "43.96",
"maxAskBaseSize": "43.96"
},
"percent75": {
"maxBidBaseSize": "32.97",
"maxAskBaseSize": "32.97"
},
"percent50": {
"maxBidBaseSize": "21.98",
"maxAskBaseSize": "21.98"
},
"percent25": {
"maxBidBaseSize": "10.99",
"maxAskBaseSize": "10.99"
}
}
}{
"success": false,
"error": "Description of the error",
"error_code": "bad_query_param"
}{
"success": false,
"error": "Description of the error",
"error_code": "auth_missing"
}{
"success": false,
"error": "Description of the error",
"error_code": "account_not_allowed"
}{
"success": false,
"error": "Description of the error",
"error_code": "too_many_requests"
}{
"success": false,
"error": "Description of the error",
"error_code": "unknown"
}Margin Account
Get Max Order Size
Get a summary of the maximum order size that can be placed given the current state of the order book and available margin. For how size limits are determined, see Position size limits.
GET
/
v1
/
perps
/
max_order_size
Get Max Order Size
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Market to estimate max order size for
Example:
"AAPL-USD.P"
Factor to scale returned sizes to guard against fluctuations between calling this endpoint and placing the order. Must be a decimal between 0 and 1. Defaults to 0.9.
Example:
"0.9"
Response
Maximum order sizes
Whether the request was successful
Example:
true
Error message, present only on failure
Example:
""
Semantic error code. See each endpoint's error responses for the specific codes it can return.
Deprecation notice, if applicable
Example:
""
Show child attributes
Show child attributes